Package org.gradle.language

## Interface ComponentWithDependencies

- All Superinterfaces:
    `Named`, `SoftwareComponent`
  All Known Subinterfaces:
    `CppApplication`, `CppBinary`, `CppComponent`, `CppExecutable`, `CppLibrary`, `CppSharedLibrary`, `CppStaticLibrary`, `CppTestExecutable`, `CppTestSuite`, `ProductionCppComponent`, `ProductionSwiftComponent`, `SwiftApplication`, `SwiftBinary`, `SwiftComponent`, `SwiftExecutable`, `SwiftLibrary`, `SwiftSharedLibrary`, `SwiftStaticLibrary`, `SwiftXCTestBinary`, `SwiftXCTestBundle`, `SwiftXCTestExecutable`, `SwiftXCTestSuite`

      public interface ComponentWithDependencies
      extends SoftwareComponent

  Represents a component with implementation dependencies.
  Since:
    4.6

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ComponentDependencies` | `getDependencies()` | Returns the dependencies of this component.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDependencies

          ComponentDependencies getDependencies()

      Returns the dependencies of this component.